<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>The Ham</title>
        <link rel="stylesheet" href="./css/style.css">
        <link rel="stylesheet" href="./library/fontawesome/all.min.css">
    </head>
    <body>
        <header class="header-container">
            <div class="top-header">
                <div class="top-content">
                    <a href="#" class="logo">the<span class="logo-Ham">Ham</span></a>
                    <nav>
                        <ul class="top-nav">
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">home</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">about</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">skills</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">service</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">work</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">testimonial</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">blog</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">team</a></li>
                            <li class="top-nav-bar"><a href="#" class="top-nav-links">contact</a></li>
                        </ul>
                    </nav>
                    <div class="search-cotainer"><a  class="search" href="#"><i class="fas fa-search"></i></a></div>
                </div>
            </div>
            <div class="header-content">
                <p class="top-slogan">The Ham is <span>Wordpress theme</span></p>
                <p class="main-slogan">we are creative</p>
                <p class="bottom-slogan">just buy and enjoy these awesome features</p>
                <div class="container-btn">
                    <a href="#" class="btn left">explore now</a>
                    <a href="#" class="btn right">purchase now</a>
                </div>
            </div>

        </header>
        <section class="boxes-container">
            <div class="hand"><p class="text">Different theme option</p></div>
            <div class="diamond"><p class="text">fully customizable</p></div>
            <div class="lamp"><p class="text">unlimited support</p></div>
            <div class="device"><p class="text">responsive all device</p></div>
        </section>
        <section class="our-services">
            <h2 class="title-pattern">Our Services</h2>
            <div class="service-container">
                <ul class="services-caption">
                    <li class="services-links" data-target="web_design">Web Design</li>
                    <li class="services-links" data-target="graphic_design">Graphic Design</li>
                    <li class="services-links" data-target="online_support">Online Support</li>
                    <li class="services-links" data-target="app_design">App Design</li>
                    <li class="services-links" data-target="online_marketing">Online Marketing</li>
                    <li class="services-links" data-target="seo">Seo Service</li>
                </ul>
                <div class="service-subcontainer">
                    <div class="img-container"></div>
                    <div id="web_design" class="services-content active">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
                        eiusmod tempor incididunt ut labore et dolore magna aliqua. Excepteur sint occaecat cupidatat
                        non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor
                        sit amet, consectetur adipisicing elit, sed do eiusmod
                        tempor incididunt ut labore et dolore magna aliqua. Excepteur sint occaecat cupidatat
                        non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                        Deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet, consectetur adip isicing elit,
                        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                        Excepteur sint occaecat cupidatat non proident, sunt in culpa qui
                        officia deserunt mollit anim id est laborum.
                    </div>
                    <div id="graphic_design" class="services-content">There's no limit to what you can get designed at Ham. Whether
                        you're looking for a spectacular new logo or some stunning flyers, the talented global community
                        of designers at Ham can make it happen. Ham prides itself on it's
                        high quality designers who deliver only the best graphic design services. Find the right
                        design service for you below and get design you'll love today!
                    </div>
                    <div id="online_support" class="services-content">We provide flexible
                        online support packages to suit you – and what’s more, we won’t tie you into an annual contract.
                    </div>
                    <div id="app_design" class="services-content">Today’s consumers expect mobile apps to be fast, easy to use, and
                        delightful. Help your business succeed with a mobile app design company such as Ham
                        and work with mobile app designers for iOS, Android, and cross-platform needs.
                    </div>
                    <div id="online_marketing" class="services-content">Let Ham’s digital marketing team help you develop an online
                        marketing strategy to drive more qualified visitors to your site and convert those visitors
                        into leads and sales. What are you waiting for? Contact us today and start dominating the web.
                    </div>
                    <div id="seo" class="services-content">We're a company that runs remarkably successful SEO campaigns
                        in the most competitive sectors, using a unique blend of technical and creative expertise.
                    </div>
                </div>
            </div>

        </section>
        <section class="offered-container">
            <div class="offed-content">
                <p class="offed-main-text">everything is ready. just buy and install now</p>
                <p class="offed-text">Smooth reliable, responsive ready, perfect portfolio, unique blog layout and many many options for you</p>
                <a href="#" class="btn left">purchase now</a>
            </div>
        </section>
        <section class="works-container">
            <h2 class="title-pattern">our amazing work</h2>
            <ul class="navbar" id="work-menu">
                <li class="navbar-item" data-filter="*">All</li>
                <li class="navbar-item" data-filter=".graphic">Graphic Design</li>
                <li class="navbar-item" data-filter=".web">Web Design</li>
                <li class="navbar-item" data-filter=".landing">Landing Pages</li>
                <li class="navbar-item" data-filter=".wordpress">Wordpress</li>
            </ul>
            <div class="portfolio-container">
                <div class="portfolio-img graphic">
                <a href="#" class="portfolio-link">
                    <img src="./images/works/graphic-design1.jpg">
                </a>
            </div>
                <div class="portfolio-img landing">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page2.jpg">
                    </a>
                </div>
                <div class="portfolio-img web">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design1.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2024@1X.png">
                    </a>
                </div>
                <div class="portfolio-img web">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design2.jpg">
                    </a>
                </div>
                <div class="portfolio-img landing">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page3.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design2.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2026@1X.png">
                    </a>
                </div>
                <div class="portfolio-img  wordpress">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2027@1X.png">
                    </a>
                </div>
                <div class="portfolio-img web">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design3.jpg">
                    </a>
                </div>
                <div class="portfolio-img landing">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page4.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design3.jpg">
                    </a>
                </div>
                <div class="portfolio-img landing hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page5.jpg">
                    </a>
                </div>
                <div class="portfolio-img hide wordpress">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2028@1X.png">
                    </a>
                </div>
                <div class="portfolio-img web hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design4.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design4.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2029@1X.png">
                    </a>
                </div>
                <div class="portfolio-img landing hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page6.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design5.jpg">
                    </a>
                </div>
                <div class="portfolio-img web hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design5.jpg">
                    </a>
                </div>
                <div class="portfolio-img landing hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/landing-page7.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2030@1X.png">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design6.jpg">
                    </a>
                </div>
                <div class="portfolio-img web hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design6.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2031@1X.png">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design7.jpg">
                    </a>
                </div>
                <div class="portfolio-img landing hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2034@1X.png">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2032@1X.png">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design8.jpg">
                    </a>
                </div>
                <div class="portfolio-img web hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/web-design7.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design9.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/Layer%2033@1X.png">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design10.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design11.jpg">
                    </a>
                </div>
                <div class="portfolio-img graphic hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/graphic-design12.jpg">
                    </a>
                </div>
                <div class="portfolio-img wordpress hide">
                    <a href="#" class="portfolio-link">
                        <img src="./images/works/wordpress1.jpg">
                    </a>
                </div>
            </div>
            <a href="#" class="portfolio-btn">load more</a>

        </section>
        <section class="news-container">
            <h2 class="title-pattern">Breaking News</h2>
            <div class="news-content">
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/first.png">
                        <div class="news-date">13<br/>Feb</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Image Post</p>
                        <span>By admin  |  2 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/second.png">
                        <div class="news-date">10<br/>March</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Image Post</p>
                        <span>By admin  |  4 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/third.png">
                        <div class="news-date">21<br />March</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Blog Post</p>
                        <span>By admin  |  3 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/fourth.png">
                        <div class="news-date">4<br />April</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Blog Post</p>
                        <span>By admin  |  7 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/fifth.png">
                        <div class="news-date">27<br />April</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Blog Post</p>
                        <span>By admin  |  4 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/sixth.png">
                        <div class="news-date">6<br />May</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Blog Post</p>
                        <span>By admin  |  10 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                       <img src="images/news/seventh.png">
                        <div class="news-date">29<br />May</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Image Post</p>
                        <span>By admin  |  2 comment</span>
                    </div>
                </a>
                <a class="news-item">
                    <div class="news-img">
                        <img src="images/news/eighth.png">
                        <div class="news-date">11<br />June</div>
                    </div>
                    <div class="title-news">
                        <p class="title-news-main">Amazing Blog Post</p>
                        <span>By admin  |  4 comment</span>
                    </div>
                </a>

            </div>
        </section>
        <section class="people-statement">
            <div class="statement-container">
                <h2 class="title-pattern people">What People Say About theHam</h2>
                <div class="hook"></div>
                <div class="statement">
                    Integer dignissim, augue tempus ultricies luctus, quam dui laoreet sem, non dictum odio nisi
                    quis massa. Morbi pulvinar odio eget aliquam facilisis. Tempus ultricies luctus, quam dui
                    laoreet sem, non dictum odio nisi quis massa. Morbi pulvinar odio eget aliquam facilisis.
                </div>
                <div class="people-name">
                    <p class="name">Hasan Ali</p>
                    <p>UX Designer</p>
                </div>
                <div class="photo-person">
                </div>


            </div>

        </section>


        <script src="https://code.jquery.com/jquery-3.4.1.min.js"
                integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
                crossorigin="anonymous">
        </script>
        <script>
            //Our services

           //hover(".services-links", "active");
           //mouseout(".services-links", "active");

            $(".services-links").on("click", function () {
                setClassOneItem(this, "active");
                const nameTargetId = $(this).data("target");
                setClassOneItem(`#${nameTargetId}`, "active");
                $(".img-container").css("background-image", `url(`+`./images/services/${nameTargetId}.png`+`)`);
            });
            //Portfolio works

            //hover(".navbar-item", "active");
            //mouseout(".navbar-item", "active");

            $(".navbar-item").on("click",function (event) {
                event.preventDefault();
                $(".img-cover").remove();
                setClassOneItem(this, "active");
                const classImg = $(this).data("filter");
               $(".portfolio-img").addClass("hide").filter(`${classImg}`).each(function (index, elem) {

                  if (index < 12){
                      $(elem).removeClass("hide");
                      $(".portfolio-btn").addClass("hide");
                  }
                  if(index >= 12){
                      $(".portfolio-btn").removeClass("hide");
                  }
               })
            });

            $(".portfolio-btn").on("click",function (event) {
                event.preventDefault();
                const activeClass = $(".navbar-item.active").data("filter");
                if (activeClass) {
                    $(`${activeClass}.hide.portfolio-img`).each(function (index, elem) {
                        if (index < 12) {
                            $(elem).removeClass("hide");
                            $(".portfolio-btn").addClass("hide")
                        } else
                        $(".portfolio-btn").removeClass("hide");
                    })
                } else {
                    $(".hide.portfolio-img").each(function (index, elem) {
                        if (index < 12) {
                            $(elem).removeClass("hide");
                            $(".portfolio-btn").addClass("hide")
                        } else
                        $(".portfolio-btn").removeClass("hide")
                    })
                }
            });

            $(".portfolio-img").on("click", function (event) {
                event.preventDefault();
                const category = $(this).attr("class");
                console.log(nameCategory(category))
                $(`<div class='img-cover'><div class="icons"><span class="icon-attach"><i class="fas fa-link"></i></span><span class="icon-search"><i class="fas fa-search"></i></span></div><p class="box-text">creative design</p><p class="category">${nameCategory(category)}</p></div>`).appendTo(this);
            });


            function nameCategory(str) {
                if (str == "portfolio-img graphic"){
                    return "Graphic Design"
                }else if(str == "portfolio-img wordpress"){
                    return "Wordpress"
                }else if(str == "portfolio-img web") {
                    return "Web Design"
                }else if(str == "portfolio-img landing"){
                        return "Landing Pages"
                }
            }

            function setClassOneItem(selector, name) {
                $(selector).addClass(name).siblings().removeClass(name);
            };

            function hover(selector, name) {
                $(selector).hover(function () {
                    $(this).addClass(name).siblings().removeClass(name);
                });
            };

            function mouseout(selector, name) {
                $(selector).mouseout(function (event) {
                    $(this).removeClass(name);
                });
            };





        </script>



    </body>
</html>